'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = convert;


function convert(object) {
  return Object.keys(object).reduce(function (newObj, originalKey) {
    var _convertProperty = convertProperty(originalKey, object[originalKey]),
        key = _convertProperty.key,
        value = _convertProperty.value;

    newObj[key] = value;
    return newObj;
  }, {});
}

function convertProperty(key, value) {
  if (endsWith(key, 'Left')) {
    return { key: key.replace('Left', 'Right'), value: value };
  } else if (endsWith(key, 'Right')) {
    return { key: key.replace('Right', 'Left'), value: value };
  }
  return { key: key, value: value };
}

function endsWith(str, suffix) {
  return str.indexOf(suffix, str.length - suffix.length) !== -1;
}